Crypto Deposits

Get crypto deposit

GEThttps://api.firstleeward.com/v0/crypto-deposits/:id

Retrieves crypto deposit details including asset metadata.

Authorizations

Authorizationstring · headerrequired

API key as Bearer token, e.g. Bearer YOUR_API_KEY

Headers

Leeward-Versionenum<string>required

API version (YYYY-MM-DD). Available option: 2026-09-18

Path Parameters

idstring<uuid>required

Crypto deposit ID

Response

200Crypto deposit resource
idstring<uuid>required

Unique deposit identifier

accountIdstring<uuid>required

Account that received the deposit

chainIdstringrequired

Blockchain network identifier

Available options:ETHEREUM_MAINNETETHEREUM_SEPOLIABASE_MAINNETBASE_SEPOLIAARBITRUM_ONE_MAINNETARBITRUM_ONE_SEPOLIAPOLYGON_MAINNETPOLYGON_AMOYSOLANA_MAINNETSOLANA_DEVNET
transactionIdstringrequired

On-chain transaction hash/signature

statusstringrequired

Current deposit status

Available options:PENDINGCONFIRMEDAPPROVEDREJECTED
rejectionReasonstring | nullrequired

Reason for rejection (only when status is REJECTED)

Available options:TRANSACTION_FAILEDASSET_NOT_ACCEPTEDKYT_CHECK_FAILEDAMOUNT_TOO_SMALL
amountstringrequired

Amount with decimals applied (string for full precision)

feeAmountstring | nullrequired

Deposit fee charged on this deposit, in the same asset as amount. null when the deposit is not subject to a deposit fee

senderAddressstringrequired

Address that sent the deposit

occurredAtstring | nullrequired

ISO 8601 timestamp of on-chain transfer

createdAtstringrequired

ISO 8601 timestamp of creation

updatedAtstringrequired

ISO 8601 timestamp of last update

assetobjectrequired

Asset metadata

Show child attributes
symbolstringrequired

Asset symbol

namestring | nullrequired

Full asset name

decimalsintegerrequired

Number of decimal places

logoUristring | nullrequired

URI to asset logo image

404Deposit not found
errorobjectrequired
Show child attributes
codestringrequired
messagestringrequired
detailobject | nullrequired